Subject: [PATCH 0/14 (3 subsets)] Make tuns and vlans devices work per-net.

From: Pavel Emelyanov <[email-masked]>
Date: Thu, 10 Apr 2008 18:57:24 +0400

Hi, guys.

I've recently sent a TUN devices virtualization, but it was rejected
by Dave, since the struct net is becoming a dumping ground.

I agree with him - we really need some way to register on-net data
dynamically. That's my view of such a thing and two examples of how
to use it (TUN and VLAN devices virtualization).

If this will be found good, I'll send these sets to David, hoping he
will accept them :)

Signed-off-by: Pavel Emelyanov <[email-masked]>